public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Benda XU" <heroxbd@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/gsl/
Date: Wed, 26 Jun 2019 16:07:11 +0000 (UTC)	[thread overview]
Message-ID: <1561565221.dc5c06fd1e256673003eb9dea74cc0e131b208db.heroxbd@gentoo> (raw)

commit:     dc5c06fd1e256673003eb9dea74cc0e131b208db
Author:     Benda Xu <heroxbd <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 26 16:05:41 2019 +0000
Commit:     Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Wed Jun 26 16:07:01 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc5c06fd

sci-libs/gsl: strip the cblas provider role.

  Computationally sci-libs/gsl as a cblas provider has no significant
  advantage over the reference implementation.  Providing sci-libs/gsl
  as a general cblas provider introduces possibility circular
  dependency.  sci-libs/gsl should rather be a cblas user than a
  provider.

Closes: https://bugs.gentoo.org/688742
Package-Manager: Portage-2.3.52, Repoman-2.3.12
RepoMan-Options: --force
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>

 sci-libs/gsl/gsl-2.5-r1.ebuild | 58 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)

diff --git a/sci-libs/gsl/gsl-2.5-r1.ebuild b/sci-libs/gsl/gsl-2.5-r1.ebuild
new file mode 100644
index 00000000000..0c95bb68c55
--- /dev/null
+++ b/sci-libs/gsl/gsl-2.5-r1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic toolchain-funcs
+
+DESCRIPTION="The GNU Scientific Library"
+HOMEPAGE="https://www.gnu.org/software/gsl/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.gz
+	https://dev.gentoo.org/~mgorny/dist/${PN}-2.3-cblas.patch.bz2"
+
+LICENSE="GPL-3"
+SLOT="0/23"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="cblas-external +deprecated static-libs"
+
+RDEPEND="cblas-external? ( virtual/cblas:= )"
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${WORKDIR}"/${PN}-2.3-cblas.patch )
+
+src_prepare() {
+	# bug 349005
+	[[ $(tc-getCC)$ == *gcc* ]] && \
+		[[ $(tc-getCC)$ != *apple* ]] && \
+		[[ $(gcc-major-version)$(gcc-minor-version) -eq 44 ]] \
+		&& filter-mfpmath sse
+	filter-flags -ffast-math
+
+	default
+	if use deprecated; then
+		sed -i -e "/GSL_DISABLE_DEPRECATED/,+2d" configure.ac || die
+	fi
+	eautoreconf
+}
+
+src_configure() {
+	if use cblas-external; then
+		export CBLAS_LIBS="$($(tc-getPKG_CONFIG) --libs cblas)"
+		export CBLAS_CFLAGS="$($(tc-getPKG_CONFIG) --cflags cblas)"
+	fi
+	econf \
+		--enable-shared \
+		$(use_with cblas-external) \
+		$(use_enable static-libs static)
+}
+
+src_test() {
+	local MAKEOPTS="${MAKEOPTS} -j1"
+	default
+}
+
+src_install() {
+	default
+
+	find "${ED}" -name '*.la' -exec rm -f {} +
+}


             reply	other threads:[~2019-06-26 16:07 UTC|newest]

Thread overview: 52+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-06-26 16:07 Benda XU [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-06  0:20 [gentoo-commits] repo/gentoo:master commit in: sci-libs/gsl/ Eli Schwartz
2022-11-08  8:55 Andrew Ammerlaan
2022-10-18  2:18 Sam James
2022-10-08 23:10 Sam James
2022-05-17  5:34 Sam James
2022-05-08  3:10 WANG Xuerui
2022-02-14  0:55 Sam James
2022-02-13 23:41 Jakov Smolić
2022-02-08  6:35 Sam James
2022-01-10 23:02 Sam James
2022-01-08 12:30 Arthur Zamarin
2022-01-08 12:21 Jakov Smolić
2022-01-08 12:20 Arthur Zamarin
2021-12-02 19:24 Sam James
2021-12-01 22:30 Sam James
2021-10-24  4:11 Sam James
2021-10-24  4:11 Sam James
2021-08-11 23:07 Sam James
2021-08-03 11:09 Sam James
2021-08-03 11:03 Sam James
2021-07-31 22:12 Sam James
2021-07-29  7:08 Agostino Sarubbo
2021-07-28 18:41 Marek Szuba
2021-06-01 20:44 Sam James
2021-05-25 18:43 Andrew Ammerlaan
2021-01-17 11:52 David Seifert
2021-01-06 15:17 Fabian Groffen
2020-11-30 22:31 Sergei Trofimovich
2020-03-22 14:07 Agostino Sarubbo
2020-03-22 14:06 Agostino Sarubbo
2019-12-27 19:35 Aaron Bauman
2019-12-24 20:04 Mikle Kolyada
2019-12-24 14:33 Mikle Kolyada
2019-12-15 14:22 Agostino Sarubbo
2019-12-15 14:07 Agostino Sarubbo
2019-11-17 12:08 Pacho Ramos
2019-06-20  9:28 Mikle Kolyada
2019-05-26 17:01 Sergei Trofimovich
2019-05-20 19:37 Aaron Bauman
2018-08-06 14:10 Amy Liffey
2017-07-17 10:06 Alexis Ballier
2017-07-11 20:33 Sebastien Fabbro
2017-01-17 14:24 Agostino Sarubbo
2017-01-11 10:35 Agostino Sarubbo
2017-01-03 10:38 Agostino Sarubbo
2016-12-23 14:53 Manuel Rüger
2016-08-04  9:00 Jeroen Roovers
2016-07-06  9:23 Agostino Sarubbo
2016-06-25 20:14 Agostino Sarubbo
2016-06-12 19:52 Markus Meier
2016-05-23  8:24 Tobias Klausmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1561565221.dc5c06fd1e256673003eb9dea74cc0e131b208db.heroxbd@gentoo \
    --to=heroxbd@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox